# To Do

## Bot Architecture
- [x] Simplify directory tree
- [x] Split event listeners into individual cogs.
- [x] Update with re-organised data and config structure
> - [x] Correct references to data in existing cogs.

## Bot Functionality
- [ ] 'Delete Commands' Function
- [ ] 'Register Commands' Function
- [ ] Infer Permissions from Config
- [x] Dynamic Command Prefixes
- [ ] Infer Games from Server Structure
- [ ] Re-enable logging
- [x] Delete Dev/Test Functions
- [x] Error handlers
- [ ] Debug Features
- [x] Help Channel Event Listener
> - [x] Add Config key for Help Channel
- [ ] Slash Command Buttons or
- [ ] Reaction listener selectors
- [ ] Member Verification
> - [x] Add Config key membership signup channels
> - [x] Add config keys: Membership Category Roles
> - [ ] Message Receive listener
> - [ ] Message React listener or buttons
- [ ] Membership Restriction
> - [ ] Message Receive Listener
> - [ ] Membership Validation Listener
- [ ] Re-register commands after any relevant config changes
- [x] Flag for checking completeness of configuration for a guild.
> - [x] Function for checking configs for completeness
## Event Listeners

## Review Configs When
- [x] Guild Changing Ownership
- [x] Roles Modified  
- [x] Mod Channel Deleted

## Commands
- [ ] Configure Bot function and sub commands
- [ ] Set up command permissions
- [ ] Migrate existing bot commands
> - [ ] setupgame
> - [ ] ~~definebotrole~~ config
> - [ ] deletegame
> - [ ] reset
> - [ ] migrate
> - [ ] kickplayer
> - [ ] addplayer
> - [ ] leavegame
> - [ ] Pitch command and sub-commands
> > - [ ] run
> > - [ ] clear

## Misc
- [ ] Review documentation
> - [ ] Finalise README.md
> - [ ] CHANGELOG.md
> - [ ] COMMANDS.md
> - [ ] resources.md